%define anolis_release 1
%global pypi_name lightning-utilities
%global pypi_version 0.10.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Lightning toolbox for across the our ecosystem

License:        Apache-2.0
URL:            https://github.com/Lightning-AI/utilities
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Common Python utilities and GitHub Actions in Lightning Ecosystem 

%package -n     python3-%{pypi_name}
Summary:        Common Python utilities and GitHub Actions in Lightning Ecosystem 

Requires:       python3dist(fire)
Requires:       python3dist(importlib-metadata) >= 4
Requires:       python3dist(mypy) >= 1
Requires:       python3dist(packaging) >= 17.1
Requires:       python3dist(requests) >= 2
Requires:       python3dist(setuptools)
Requires:       python3dist(typing-extensions)
%description -n python3-%{pypi_name}
Common Python utilities and GitHub Actions in Lightning Ecosystem 

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/lightning_utilities
%{python3_sitelib}/lightning_utilities-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.10.1-1
- Initial package.
